Skip Menu |
 

This queue is for tickets about the Embperl CPAN distribution.

Report information
The Basics
Id: 123230
Status: new
Priority: 0/
Queue: Embperl

People
Owner: Nobody in particular
Requestors: fsfs [...] debian.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 2.5.0
Fixed in: (no value)



Subject: fix build with Perl 5.26 (no '.' in @INC / PERL_USE_UNSAFE_INC)
Download (untitled) / with headers
text/plain 960b
Hi, the following patch is needed in order to build Embperl without the current directory in @INC or PERL_USE_UNSAFE_INC=1 in the environment, as is the case in Perls from 5.26 onwards. --- a/test.pl +++ b/test.pl @@ -1316,7 +1316,7 @@ #### read config #### -do ($opt_config || "$confpath/config.pl") ; +do ($opt_config || "./$confpath/config.pl") ; die $@ if ($@) ; @@ -1416,7 +1416,7 @@ $vmhttpdsize = 0 ; $vmhttpdinitsize = 0 ; -require 'test/testapp.pl' ; +require './test/testapp.pl' ; ##################################################### --- a/Makefile.PL +++ b/Makefile.PL @@ -1346,7 +1346,7 @@ close FH ; -$i .= " -I$EPPATH/xs" ; +$i .= " -I$EPPATH/xs -I." ; if ($mp2cfg && $mp2cfg->{'MP_INCLUDE_DIR'}) { I also had to face an unrelated issue with parallel builds (make -j 4) failing because linking blib/arch/auto/Embperl/Embperl.so doesn't properly depend on all necessary object files being built... Florian


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.